#
# spec file for package wxhexeditor
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _use_internal_dependency_generator 0
%define __find_requires %{wx_requires}
%define _name   wxHexEditor
Name:           wxhexeditor
Version:        0.23
Release:        4.1
Summary:        A free HEX editor / disk editor
License:        GPL-2.0
Group:          Development/Tools/Other
Url:            http://wxhexeditor.org/
Source:         http://downloads.sf.net/%{name}/%{_name}-v%{version}-src.tar.bz2
# PATCH-FIX-OPENSUSE wxhexeditor-0.23-mhash.patch lazy.kent@opensuse.org -- Use system mhash library.
Patch0:         %{name}-0.23-mhash.patch
# PATCH-FIX-OPENSUSE wxhexeditor-0.23-func-return.patch sor.alexei@meowr.ru -- Fix no-return-in-nonvoid-function.
Patch1:         %{name}-0.23-func-return.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  mhash-devel
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-devel >= 3
Recommends:     %{name}-lang

%description
wxHexEditor is an another Hex Editor, created because of there was no
good HEX editor for GNU/Linux, especially for big files. It supports
files up to 2^64 bytes. Written with C++/wxWidgets and can be used
with other operating systems such as Windows and OS X.

Features:
 * Ability to work with files up to 2EB (ExaByte);
 * Crossplatform;
 * Small footprint on RAM;
 * Raw Disk Access (on POSIX systems);
 * Does not create temporary files.

%lang_package

%prep
%setup -q -n %{_name}
%patch0 -p1
%patch1 -p1
chmod -x docs/*

%build
make %{?_smp_mflags} CFLAGS='%{optflags}' CXXFLAGS='%{optflags}'

%install
%make_install PREFIX=%{_prefix}
%find_lang %{_name} %{?no_lang_C}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc docs/{Change.log,GPL.txt}
%{_bindir}/%{_name}
%{_datadir}/applications/%{_name}.desktop
%{_datadir}/pixmaps/%{_name}.png

%files lang -f %{_name}.lang
%defattr(-,root,root)

%changelog
* Sat Aug 20 2016 jengelh@inai.de
- Build against wxWidgets 3
* Wed Dec 10 2014 sor.alexei@meowr.ru
- Update to 0.23:
  * Added many languages.
  * Fixed many bugs that leads to crash and memory leaks.
  * Implemented prefetched functions (SSD buster).
  * Fixed some cosmetic errors.
  * Fixed C::B compilation for all operating systems.
  * Added Sorted Tag Saving / Loading.
  * Fixed Injection function.
  * Implemented file change detection reload (on wxWidgets > 2.9).
  * Implemented file compare connector to scroll 2 files at once.
  * Added remember last panel states.
  * Fixed TagEdit enabling code for addesses > 0xFFFFFFFFh.
  * Added MultiSearchAtBinary function, allows faster search on
    FindAll.
  * Fixed logical sectors start. Now starts from 0 instead of 1.
  * Added AutoShowTag option to preferences menu.
  * Added auto tag panel popup with Process RAM open.
  * Fixed Process RAM seeking.
  * Added Report a Bug & Donation menu items.
  * "Find Some Bytes" button doesn't close find dialog anymore.
- Add missing %%{optflags} and wxhexeditor-0.23-func-return.patch.
- Replace wxhexeditor-0.22-mhash.patch with
  wxhexeditor-0.23-mhash.patch (rebased).
* Thu Oct  2 2014 sor.alexei@meowr.ru
- Add %%desktop_database_post{,un}.
- Minor spec cleanup.
* Sat Jul 26 2014 lazy.kent@opensuse.org
- Add wxhexeditor-0.22-mhash.patch: use system mhash library.
- BuildRequires: mhash-devel.
- Use wxWidgets defines.
- BuildRequires: wxWidgets-wxcontainer-devel -> wxWidgets-devel.
- Remove unused BuildRequires: fdupes.
- Install docs.
* Tue Jul 15 2014 sor.alexei@meowr.ru
- Initial build.
